import Task from '@dojo/core/async/Task';
/**
 * Resolve the user-supplied config data, which may include query args and a config file.
 */
export declare function getConfig(configFile?: string): Task<any>;
/**
 * Normalize a path (e.g., resolve '..')
 */
export declare function normalizePath(path: string): string;
/**
 * Parse a query string and return a set of decoded name=value pairs
 */
export declare function parseQuery(query?: string): string[];
/**
 * Parse a URL
 */
export declare type Url = {
    protocol: string;
    hostname: string;
    port: string;
    path: string;
    query: string;
    hash: string;
};
export declare function parseUrl(url: string): Url | undefined;
